Get a device
curl --request GET \
--url https://api.uat.involvecloud.com/pub/v1/devices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uat.involvecloud.com/pub/v1/devices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uat.involvecloud.com/pub/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.involvecloud.com/pub/v1/devices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.involvecloud.com/pub/v1/devices/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.involvecloud.com/pub/v1/devices/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.involvecloud.com/pub/v1/devices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3f8b0f2c-1c1e-4c6b-9b2a-d0d9d4d1d3d4",
"name": "Boardroom display",
"type": "display",
"protocol": "sony_bravia",
"status": "online",
"ip_address": "10.11.12.13",
"make": "Sony",
"model": "FW-65BZ40L",
"serial_number": "S01234567",
"firmware_version": "PKG6.6510",
"target_firmware_version": "PKG6.6510",
"firmware_status": "matches_target",
"mac_address": "00:11:22:33:44:55",
"room_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"room": "Boardroom",
"building_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
"building": "HQ",
"last_seen_at": "2026-08-26T09:14:03Z",
"tags": {
"site": "hq",
"row": "front"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}Devices
Get a device
Full device record including the latest metrics snapshot. Use this after resolving an id from an event, alert, or CMDB record.
Requires a token with the view.dashboard scope.
GET
/
pub
/
v1
/
devices
/
{id}
Get a device
curl --request GET \
--url https://api.uat.involvecloud.com/pub/v1/devices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uat.involvecloud.com/pub/v1/devices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uat.involvecloud.com/pub/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.involvecloud.com/pub/v1/devices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.involvecloud.com/pub/v1/devices/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.involvecloud.com/pub/v1/devices/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.involvecloud.com/pub/v1/devices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3f8b0f2c-1c1e-4c6b-9b2a-d0d9d4d1d3d4",
"name": "Boardroom display",
"type": "display",
"protocol": "sony_bravia",
"status": "online",
"ip_address": "10.11.12.13",
"make": "Sony",
"model": "FW-65BZ40L",
"serial_number": "S01234567",
"firmware_version": "PKG6.6510",
"target_firmware_version": "PKG6.6510",
"firmware_status": "matches_target",
"mac_address": "00:11:22:33:44:55",
"room_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
"room": "Boardroom",
"building_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
"building": "HQ",
"last_seen_at": "2026-08-26T09:14:03Z",
"tags": {
"site": "hq",
"row": "front"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}Updated 23 Oct 2026 15:20 · page 3aa8e02
Authorizations
Response
Device detail.
How the firmware compares with the target set for the device's make and model on the Firmware page: matches_target, differs_from_target, no_target (no target set) or not_reported (the device hasn't reported firmware).
Available options:
matches_target, differs_from_target, no_target, not_reported ⌘I